summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSteve Dickson <steved@redhat.com>2012-11-08 16:49:40 -0500
committerSteve Dickson <steved@redhat.com>2012-11-11 18:01:23 -0500
commit1bcb43c9ac0f21e32175d982a1d8b0d817ca0578 (patch)
treeaf5f3f13f05261f5e717cb5e4fb3f0b455a3bb13
parentc6b52ead95ab0904bdd796921ebf726853477221 (diff)
downloadnfs-utils-1bcb43c9ac0f21e32175d982a1d8b0d817ca0578.zip
nfs-utils-1bcb43c9ac0f21e32175d982a1d8b0d817ca0578.tar.gz
nfs-utils-1bcb43c9ac0f21e32175d982a1d8b0d817ca0578.tar.xz
configure.ac: Disabling v4 should not break the gssd build
Signed-off-by: Steve Dickson <steved@redhat.com>
-rw-r--r--configure.ac10
1 files changed, 5 insertions, 5 deletions
diff --git a/configure.ac b/configure.ac
index 399b081..70d6794 100644
--- a/configure.ac
+++ b/configure.ac
@@ -278,11 +278,6 @@ if test "$enable_nfsv4" = yes; then
fi
fi
- dnl librpcsecgss already has a dependency on libgssapi,
- dnl but we need to make sure we get the right version
- if test "$enable_gss" = yes; then
- AC_RPCSEC_VERSION
- fi
else
enable_nfsdcltrack="no"
fi
@@ -344,6 +339,11 @@ if test "$enable_gss" = yes; then
dnl Invoked after AC_KERBEROS_V5; AC_LIBRPCSECGSS needs to have KRBLIBS set
AC_LIBRPCSECGSS
+ dnl librpcsecgss already has a dependency on libgssapi,
+ dnl but we need to make sure we get the right version
+ if test "$enable_gss" = yes; then
+ AC_RPCSEC_VERSION
+ fi
fi
dnl Check for IPv6 support